> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tags

> Get all tags for the specified object.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/tags/{entity_type}/{entity_id}
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/tags/{entity_type}/{entity_id}:
    get:
      tags:
        - Tags
      summary: Get Tags
      description: >-
        Get all tags for the specified object.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: get_tags_v1_tags__entity_type___entity_id__get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            title: Entity Id
        - name: entity_type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PublicTagEntityTypes'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagsList'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    PublicTagEntityTypes:
      type: string
      enum:
        - DEVICE
      title: PublicTagEntityTypes
    TagsList:
      properties:
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
          title: Tags
          description: List of tags
      type: object
      required:
        - tags
      title: TagsList
    Tag:
      properties:
        key:
          type: string
          maxLength: 150
          title: Key
        value:
          type: string
          maxLength: 150
          title: Value
      type: object
      required:
        - key
        - value
      title: Tag
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````